<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.GetMultiple Method (UInt32, Int32, Transaction)
BTreeDatabase Class See Also Send Feedback

Retrieve a specific numbered key and all duplicate data items from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetMultiple(
    	uint recno,
    	int BufferSize,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function GetMultiple ( _
    	recno As UInteger, _
    	BufferSize As Integer, _
    	txn As Transaction _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetMultiple(
    	unsigned int recno,
    	int BufferSize,
    	Transaction^ txn
    )

#### Parameters

recno
  Type: System..::.UInt32
  The record number of the record to be retrieved.

BufferSize
  Type: System..::.Int32
  The initial size of the buffer to fill with duplicate data items. If the buffer is not large enough, it will be automatically resized.

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is recno and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if recno is not in the database.

# See Also

BTreeDatabase Class
GetMultiple Overload
BerkeleyDB Namespace